Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Flag Class Reference

The class represents a flag. More...

`#include <LandmarksPercept.h>`

Inheritance diagram for Flag:

[legend]
Collaboration diagram for Flag:

[legend]
List of all members.

## Public Types
enum | FlagType { pinkAboveYellow, pinkAboveSkyblue, yellowAbovePink, skyblueAbovePink, numberOfFlagTypes }
## Public Member Functions
void | setBottomColor ()
| The function sets the color of the lower part of this flag.
void | setTopColor ()
| The function sets the color of the upper part of this flag.
void | serialize (In *in, Out *out)
## Public Attributes
FlagType | type
| The type of this flag.
Vector2< double > | position
| The position of this flag on the field.
double | distanceValidity
| The validity of the determined distance.
double | angleValidity
| The validity of the determined direction.
double | distance
| distance to the flag, relative to robot
double | angle
| angle to the flag, relative to robot
Vector2< int > | topLeft
| Position of the upper left corner of the flag in the image.
Vector2< int > | topRight
| Position of the upper right corner of the flag in the image.
Vector2< int > | bottomLeft
| Position of the lower left corner of the flag in the image.
Vector2< int > | bottomRight
| Position of the lower right corner of the flag in the image.
colorClass | bottomColor
| the bottom color of the flag
colorClass | topColor
| the upper color of the flag

## Detailed Description

The class represents a flag.

Definition at line 113 of file LandmarksPercept.h.

## Member Enumeration Documentation

enum Flag::FlagType

  | Enumeration values:
  pinkAboveYellow |
  pinkAboveSkyblue |
  yellowAbovePink |
  skyblueAbovePink |
  numberOfFlagTypes |
Definition at line 116 of file LandmarksPercept.h. Referenced by LandmarksPercept::addFlag(), SlamBeaconDetector::analyzeBeacon(), VLCFlagSpecialist::getFlagPercept(), SlamFlagSpecialist::getFlagPercept(), GT2005FlagSpecialist::getFlagPercept(), VLCBeaconDetector::scanForBeaconEdges(), SlamBeaconDetector::scanForBeaconEdges(), GT2005BeaconDetector::scanForBeaconEdges(), VLCFlagSpecialist::searchFlags(), SlamFlagSpecialist::searchFlags(), and GT2005FlagSpecialist::searchFlags().

## Member Function Documentation

void Flag::setBottomColor | ( |  | ) |

| The function sets the color of the lower part of this flag. Definition at line 21 of file LandmarksPercept.cpp. References bottomColor. Referenced by LandmarksPercept::addFlag().

void Flag::setTopColor | ( |  | ) |

| The function sets the color of the upper part of this flag. Definition at line 36 of file LandmarksPercept.cpp. References topColor. Referenced by LandmarksPercept::addFlag().

void Flag::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Reimplemented from ConditionalBoundary. Definition at line 153 of file LandmarksPercept.h. References angleValidity, bottomColor, bottomLeft, bottomRight, distanceValidity, STREAM, STREAM_BASE, STREAM_ENUMASINT, STREAM_REGISTER_BEGIN, STREAM_REGISTER_FINISH, topColor, topLeft, and topRight.

## Member Data Documentation

FlagType Flag::type

| The type of this flag. Definition at line 123 of file LandmarksPercept.h. Referenced by LandmarksPercept::addFlag(), SlamSampleTemplateGenerator::addFlag(), GT2005StableSampleTemplateGenerator::addFlag(), GT2005SampleTemplateGenerator::addFlag(), GT2004SelfLocator::addFlag(), VLCImageProcessor::filterPercepts(), GT2005ImageProcessor::filterPercepts(), and LandmarksState::update().

Vector2<double> Flag::position

| The position of this flag on the field. Definition at line 124 of file LandmarksPercept.h. Referenced by LandmarksPercept::addFlag(), GT2004SelfLocator::execute(), GT2005SampleTemplateGenerator::generateTemplates(), SlamSampleTemplateGenerator::getBearing(), GT2005StableSampleTemplateGenerator::getBearing(), GT2005SampleTemplateGenerator::getBearing(), GT2004SelfLocator::getBearing(), SlamSelfLocator::landmarksObservationUpdate(), GT2005StableSelfLocator::landmarksObservationUpdate(), and GT2005SelfLocator::landmarksObservationUpdate().

double Flag::distanceValidity

| The validity of the determined distance. Not used yet. Definition at line 125 of file LandmarksPercept.h. Referenced by LandmarksPercept::estimateOffsetForFlags(), VLCFlagSpecialist::estimateOffsetForFlags(), SlamFlagSpecialist::estimateOffsetForFlags(), GT2005FlagSpecialist::estimateOffsetForFlags(), and serialize().

double Flag::angleValidity

| The validity of the determined direction. Not used yet. Definition at line 126 of file LandmarksPercept.h. Referenced by LandmarksPercept::estimateOffsetForFlags(), VLCFlagSpecialist::estimateOffsetForFlags(), SlamFlagSpecialist::estimateOffsetForFlags(), GT2005FlagSpecialist::estimateOffsetForFlags(), and serialize().

double Flag::distance

| distance to the flag, relative to robot Definition at line 129 of file LandmarksPercept.h. Referenced by LandmarksPercept::estimateOffsetForFlags(), VLCFlagSpecialist::estimateOffsetForFlags(), SlamFlagSpecialist::estimateOffsetForFlags(), GT2005FlagSpecialist::estimateOffsetForFlags(), GT2004SelfLocator::generatePoseTemplates(), SlamSampleTemplateGenerator::generateTemplates(), GT2005StableSampleTemplateGenerator::generateTemplates(), GT2005SampleTemplateGenerator::generateTemplates(), SlamSampleTemplateGenerator::getBearing(), GT2005StableSampleTemplateGenerator::getBearing(), GT2005SampleTemplateGenerator::getBearing(), and GT2004SelfLocator::getBearing().

double Flag::angle

| angle to the flag, relative to robot Definition at line 132 of file LandmarksPercept.h. Referenced by LandmarksPercept::estimateOffsetForFlags(), VLCFlagSpecialist::estimateOffsetForFlags(), SlamFlagSpecialist::estimateOffsetForFlags(), GT2005FlagSpecialist::estimateOffsetForFlags(), VLCImageProcessor::filterPercepts(), GT2005ImageProcessor::filterPercepts(), GT2004SelfLocator::generatePoseTemplates(), SlamSampleTemplateGenerator::generateTemplates(), GT2005StableSampleTemplateGenerator::generateTemplates(), GT2005SampleTemplateGenerator::generateTemplates(), SlamSampleTemplateGenerator::getBearing(), GT2005StableSampleTemplateGenerator::getBearing(), GT2005SampleTemplateGenerator::getBearing(), and GT2004SelfLocator::getBearing().

Vector2<int> Flag::topLeft

| Position of the upper left corner of the flag in the image. Definition at line 134 of file LandmarksPercept.h. Referenced by LandmarksPercept::addFlag(), and serialize().

Vector2<int> Flag::topRight

| Position of the upper right corner of the flag in the image. Definition at line 135 of file LandmarksPercept.h. Referenced by LandmarksPercept::addFlag(), and serialize().

Vector2<int> Flag::bottomLeft

| Position of the lower left corner of the flag in the image. Definition at line 136 of file LandmarksPercept.h. Referenced by LandmarksPercept::addFlag(), GT2005GoalRecognizer::notifyAboutFlags(), and serialize().

Vector2<int> Flag::bottomRight

| Position of the lower right corner of the flag in the image. Definition at line 137 of file LandmarksPercept.h. Referenced by LandmarksPercept::addFlag(), GT2005GoalRecognizer::notifyAboutFlags(), and serialize().

colorClass Flag::bottomColor

| the bottom color of the flag Definition at line 140 of file LandmarksPercept.h. Referenced by serialize(), and setBottomColor().

colorClass Flag::topColor

| the upper color of the flag Definition at line 147 of file LandmarksPercept.h. Referenced by serialize(), and setTopColor().

The documentation for this class was generated from the following files:

- Representations/Perception/LandmarksPercept.h
- Representations/Perception/LandmarksPercept.cpp